org.apache.cassandra.utils

## Class SkipNullRepresenter

- java.lang.Object
- - org.yaml.snakeyaml.representer.BaseRepresenter
  - - org.yaml.snakeyaml.representer.Representer
    - - org.apache.cassandra.utils.SkipNullRepresenter

-     public class SkipNullRepresenter
      extends org.yaml.snakeyaml.representer.Representer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.yaml.snakeyaml.representer.Representer

      `org.yaml.snakeyaml.representer.Representer.RepresentJavaBean`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.regex.Pattern` | `BINARY_PATTERN`
    `protected java.util.Map<java.lang.Class<? extends java.lang.Object>,org.yaml.snakeyaml.nodes.Tag>` | `classTags`

    - ### Fields inherited from class org.yaml.snakeyaml.representer.BaseRepresenter

      `defaultFlowStyle, multiRepresenters, nullRepresenter, objectToRepresent, representedObjects, representers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipNullRepresenter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.yaml.snakeyaml.nodes.Tag` | `addClassTag(java.lang.Class<? extends java.lang.Object> arg0, java.lang.String arg1)`
    `org.yaml.snakeyaml.nodes.Tag` | `addClassTag(java.lang.Class<? extends java.lang.Object> arg0, org.yaml.snakeyaml.nodes.Tag arg1)`
    `protected boolean` | `ignoreAliases(java.lang.Object arg0)`
    `protected org.yaml.snakeyaml.nodes.NodeTuple` | `representJavaBeanProperty(java.lang.Object javaBean, org.yaml.snakeyaml.introspector.Property property, java.lang.Object propertyValue, org.yaml.snakeyaml.nodes.Tag customTag)`

    - ### Methods inherited from class org.yaml.snakeyaml.representer.Representer

      `checkGlobalTag, getProperties, representJavaBean, setAllowReadOnlyProperties`

    - ### Methods inherited from class org.yaml.snakeyaml.representer.BaseRepresenter

      `represent, representData, representMapping, representScalar, representScalar, representSequence, setDefaultFlowStyle, setDefaultScalarStyle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classTags

          protected java.util.Map<java.lang.Class<? extends java.lang.Object>,org.yaml.snakeyaml.nodes.Tag> classTags

    - #### BINARY_PATTERN

          public static java.util.regex.Pattern BINARY_PATTERN

  - ### Constructor Detail

    - #### SkipNullRepresenter

          public SkipNullRepresenter()

  - ### Method Detail

    - #### representJavaBeanProperty

          protected org.yaml.snakeyaml.nodes.NodeTuple representJavaBeanProperty(java.lang.Object javaBean,
                                                                     org.yaml.snakeyaml.introspector.Property property,
                                                                     java.lang.Object propertyValue,
                                                                     org.yaml.snakeyaml.nodes.Tag customTag)

      Overrides:
        `representJavaBeanProperty` in class `org.yaml.snakeyaml.representer.Representer`

    - #### ignoreAliases

          protected boolean ignoreAliases(java.lang.Object arg0)

      Specified by:
        `ignoreAliases` in class `org.yaml.snakeyaml.representer.BaseRepresenter`

    - #### addClassTag

          public org.yaml.snakeyaml.nodes.Tag addClassTag(java.lang.Class<? extends java.lang.Object> arg0,
                                                 java.lang.String arg1)

    - #### addClassTag

          public org.yaml.snakeyaml.nodes.Tag addClassTag(java.lang.Class<? extends java.lang.Object> arg0,
                                                 org.yaml.snakeyaml.nodes.Tag arg1)

Copyright © 2014 The Apache Software Foundation